module Archetype where

import List
import Data.Tree

type V_STRING = String
type V_IDENTIFIER = String
type V_LOCAL_TERM_CODES = String

data Archetype = Archetype {
      arch_identification :: ArchIdentification
      arch_specialisation :: ArchSpecialisation
      arch_concept :: ArchConcept
      arch_language :: ArchLanguage
      arch_description :: ArchDescription
      arch_definition :: ArchDefinition
      arch_invariant :: ArchInvariant
      arch_ontology :: ArchOntology
}
               
ArchIdentification :: ArchIdentification {
      code :: String, desc :: String}

data Language = Langage {
      orig  :: String, translation :: [Translation]}

data Translation = Translation {
      symbol :: String, lang :: String, author :: Author }
data Author = Author {
      name :: String, organization :: String, 
      date :: String, email :: String }
data Description = Description {
      orig :: Author, details :: [Details], 



